commit 2fe7d2d73d18d9c7072507d462737b372f9d56bf
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:   Sat Mar 30 09:57:05 2024 -0700

    Bumped the version number and updated the NEWS document.

M	CMakeLists.txt
M	NEWS.txt

commit 6d084c53a77762f41bb5310713a5f1872fef55f5
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Fri Mar 29 07:57:29 2024 -0700

    Fixes #381.

    Added a missing check to the jpc_dec_process_sod function of the
    JPC codec.
    Added another image to the test set.

A	data/test/bad/318.jpc
M	src/libjasper/jpc/jpc_dec.c

commit 6f612447f71490874370aaccdc16f8bffb8876c9
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Mar 11 13:33:47 2024 -0700

    Updated the NEWS document and bumped the version number.

M	CMakeLists.txt
M	NEWS.txt

commit 477f28124b8d827a9117a0068ac98bfc841b006b
Merge: 7359c0d 2a122e4
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Mar 11 13:29:04 2024 -0700

    Merge pull request #374 from wegank/cmake-absolute-fix

    CMakeLists.txt: fix absolute path

commit 2a122e4bab7dac49973fb2584b28d3a93d420956
Author: Weijia Wang <9713184+wegank@users.noreply.github.com>
Date:	Mon Mar 11 19:39:46 2024 +0100

    CMakeLists.txt: fix absolute path

M	CMakeLists.txt

commit 7359c0dfa505c9d710233b8724690a4407c4702d
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Feb 18 01:37:59 2024 -0800

    Updated the NEWS document and bumped the version number.

M	CMakeLists.txt
M	NEWS.txt

commit 3a98ca0f37ba5a44a1e9a77a95ff10c7d644fd72
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Feb 18 01:34:54 2024 -0800

    Changed the GitHub Actions CI workflow so that it is not run for a
    pushed tag.

M	.github/workflows/ci.yml

commit cc6a3b2595c31ab0b4a0fc7f979f255df727a38b
Merge: 810c613 6504d16
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Feb 12 10:30:11 2024 -0800

    Fixes #372.

    Merge changes to fix a build issue for the DJGPP/MS-DOS environment.

commit 6504d161e1173be5d2f01906a192e0feb63c7e17
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Feb 11 18:08:06 2024 -0800

    Fixed a typo in the source code (in a preprocessor directive).

M	src/libjasper/base/jas_malloc.c

commit 6c723e8f054324d25b66b063ca666fbf962d5a35
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Feb 11 14:55:12 2024 -0800

    Attempt to fix a build problem for the DJGPP/MS-DOS environment.

M	src/libjasper/base/jas_malloc.c

commit 810c6131cb9c8bb5ed27c37726ca1b8ba0eaec5f
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Feb 5 11:08:43 2024 -0800

    Updated the NEWS document and bumped the version number.

M	CMakeLists.txt
M	NEWS.txt

commit 94de793361cd22b177bc2fab24bbf1d871383f27
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Feb 4 13:35:27 2024 -0800

    Made some editorial changes to the JasPer manual.

M	doc/src/overview.dox.in

commit 2d03945880aea747f9ae7bfa202b489224047020
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Feb 4 13:20:42 2024 -0800

    Upgraded the version of the actions/checkout action being used
    in GitHub
    CI workflows.

M	.github/workflows/ci.yml
M	.github/workflows/deploy_manual.yml
M	.github/workflows/release.yml
M	.github/workflows/win_ci.yml

commit 0cd594d1a0b6a9154ac9dda47b3255976abd7eb1
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Feb 4 12:33:17 2024 -0800

    Moved some of the common code in Bash scripts into a single file that
    is shared between scripts.
    Replaced a number of different approaches to path canonicalization in
    various scripts with a single uniform approach.
    Removed the now obsolete jas_realpath script.

A	bin/base_utilities
A	build/base_utilities
M	build/build
M	build/build_all
M	build/build_wasi_jasper
M	build/install_wasi_sdk
M	build/install_wasmtime
D	build/jas_realpath
M	build/make_dist
M	build/make_release
M	build/sysinfo
M	build/wasm_cc
A	test/bin/base_utilities
M	test/bin/jpcod
M	test/bin/jpdec
M	test/bin/jpenc
M	test/bin/run_codec_test
M	test/bin/run_conformance_tests
M	test/bin/run_test_1
M	test/bin/run_test_2
M	test/bin/run_test_3
M	test/bin/run_test_5
M	test/bin/run_test_imgcmp
M	test/bin/run_test_imginfo
R095	test/bin/utilities	test/bin/test_utilities

commit faeed11274db2c864520a3246a51bf014ae26fe3
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Fri Feb 2 15:12:15 2024 -0800

    Added the JAS_PACKAGING option to the CMake build in an attempt
    to allow
    easier control over rpath settings by people packaging JasPer.

M	CMakeLists.txt

commit 08ed47cb86b035a4828540005ff2dd77a850b9a2
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Wed Jan 31 15:51:33 2024 -0800

    Moved the file jasper.pc.in into a separate directory for pkgconfig.

M	CMakeLists.txt
R100	build/jasper.pc.in	build/pkgconfig/jasper.pc.in

commit fa7026d1475686bde78bad08caf2729ca6462f9c
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Wed Jan 31 15:35:00 2024 -0800

    Removed several obsolete files related to Travis CI.

D	build/travis/CMakeLists.txt
D	build/travis/build
D	build/travis/prebuild

commit 67e65415a929b483893958d162782feb08343e64
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Wed Jan 31 13:45:05 2024 -0800

    Eliminated an unnecessary use of python.

M	test/bin/run_conformance_tests
M	test/bin/utilities

commit 717dc0b9f619400e332b80b85ee874ba3d1e680f
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Wed Jan 31 13:43:11 2024 -0800

    Removed the obsolete my_build script.

M	build/make_dist
M	build/make_release
D	build/my_build

commit dfb28aa9e18a9ef7fccd37fb184f3efa424a5eeb
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Jan 20 12:40:12 2024 -0800

    Fixes #371.

    Made a minor correction to the definition of the refpass_step macro
    in the JPC codec.  The error that was corrected appears not to have
    resulted in any incorrect code behavior, but it did negatively impact
    code readability/understandability.

M	src/libjasper/jpc/jpc_t1enc.c

commit ec76987f040ddaf5029598f6f65ed88394223126
Merge: b867d1a d06437f
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Tue Jan 16 14:14:36 2024 -0800

    Merge pull request #370 from BillyONeal/fix-c-atomics-detection

    Add <stdatomic.h> check to JAS_TRY_COMPILE_C11_THREADS

commit d06437f290880c9acb64bccfe5f04b1d757bb24f
Author: Billy Robert O'Neal III <bion@microsoft.com>
Date:	Tue Jan 16 11:17:49 2024 -0800

    Add <stdatomic.h> check to JAS_TRY_COMPILE_C11_THREADS

    In
    https://github.com/jasper-software/jasper/blob/b867d1adb2e6423c260407338bdc8d698330764e/src/libjasper/include/jasper/jas_thread.h#L87-L89
    , JAS_THREADS_C11 assumes that both <threads.h> and <stdatomic.h>
    are available, but here, <stdatomic.h> is not checked. This causes
    builds with MSVC to fail with spew like:

    ```console
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(36):
    error C2061: syntax error: identifier 'atomic_bool'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(36):
    error C2059: syntax error: ';'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(37):
    error C2061: syntax error: identifier 'atomic_char'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(37):
    error C2059: syntax error: ';'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(38):
    error C2061: syntax error: identifier 'atomic_schar'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(38):
    error C2059: syntax error: ';'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(39):
    error C2061: syntax error: identifier 'atomic_uchar'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(39):
    error C2059: syntax error: ';'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(40):
    error C2061: syntax error: identifier 'atomic_short'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(40):
    error C2059: syntax error: ';'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(41):
    error C2061: syntax error: identifier 'atomic_ushort'
    C:\Program Files\Microsoft Visual
    Studio\2022\Enterprise\VC\Tools\MSVC\14.38.33130\include\vcruntime_c11_stdatomic.h(41):
    error C2059: syntax error: ';'
    ```

    (MSVC 17.4 supports C atomics but it's behind a bunch of 'enable
    experimental things' switches right now, so including `<stdatomic.h>`
    without checking `STDC_NO_ATOMICS` fails like this)

    Thanks to Charlie Barto and Casey Carter for helping me debug this.

M	CMakeLists.txt

commit b867d1adb2e6423c260407338bdc8d698330764e
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Jan 14 13:32:14 2024 -0800

    Replaced some lingering uses of strtok in the JPC coder with
    jas_strtok,
    since the use of strtok is problematic in multithreading contexts.

M	src/libjasper/jpc/jpc_util.c

commit 2ba5f1ccdd906d0a7e3b3cfceb2fc79da2d44591
Merge: ff63369 de3e9d4
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Jan 14 12:53:03 2024 -0800

    Merge pull request #369 from thesamesam/which-hunt

    test: run_test_3: drop use of `which`

commit de3e9d43224977cda178df609d09e222674200e6
Author: Sam James <sam@gentoo.org>
Date:	Sun Jan 14 05:49:55 2024 +0000

    test: run_test_3: drop use of `which`

    `which` is non-portable (not part of POSIX) and distributions like
    Debian and
    Gentoo are looking to remove it from their base set of packages.

    Switch to `type -P` instead given `test/bin/run_test_3` already has
    a Bash
    shebang.

    Signed-off-by: Sam James <sam@gentoo.org>

M	test/bin/run_test_3

commit ff633699cb785967a2cb0084d89d56e53c46e416
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Jan 11 07:13:42 2024 -0800

    Updated the NEWS document and bumped the version number.

M	CMakeLists.txt
M	NEWS.txt

commit 6f47e5a8db62038c88eb38cb81221e4d1ae60f97
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Wed Jan 10 21:50:31 2024 -0800

    Fixes #368.

    Added a (previously-missing) range check on the intermediate layer
    rates
    in the JPC encoder.
    Added another image to the test set.

A	data/test/good/368_poc_min.pnm
M	src/libjasper/jpc/jpc_enc.c

commit ca05a7f4dbf08eb9b3dc63d9ed7ff94055d24f7c
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Wed Jan 10 13:00:32 2024 -0800

    Updated the NEWS document (to add a reference to a CVE).

M	NEWS.txt

commit aeef5293c978158255ad4f127089644745602f2a
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Dec 14 19:04:19 2023 -0800

    Fixes #367.

    Fixed an integer-overflow bug in the ICC profile parsing code.
    Added another invalid image to the test set.

A	data/test/bad/367-PoC.jp2
M	src/libjasper/base/jas_icc.c

commit 2bd1657c07e9815b89d0553c782b841d11630580
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Fri Dec 1 09:27:08 2023 -0800

    Fixed a potential integer overflow problem in the
    jas_safeui32_to_intfast32 function.

M	src/libjasper/include/jasper/jas_math.h

commit 917f7708b755d8434f70618108c1a76f1b6a0a82
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Tue Nov 28 09:19:23 2023 -0800

    Updated the NEWS document and bumped the version number.

M	CMakeLists.txt
M	NEWS.txt

commit d955e6d4c99aa03a3ece61010e8151f5058f0ffa
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Nov 27 20:33:35 2023 -0800

    Changed the versions of macOS being tested in the GitHub Actions CI
    workflow (i.e., added macos-13 and deleted macos-11).

M	.github/workflows/ci.yml

commit dda5d2340221f71a3c25451f1373514ab964f21d
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Nov 27 19:33:00 2023 -0800

    Disabled the building of the JasPer documentation in the Appveyor
    CI to
    workaround problems with Doxygen/LaTeX in that environment.

M	build/appveyor/build.bat

commit 70168aeb30e56430f16f7f5a7773b3ae0e70f306
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Nov 27 19:19:39 2023 -0800

    Changed the versions of Windows Visual Studio being tested with
    Appveyor CI.

M	appveyor.yml

commit b72e8b048680cf1b5a167a45747b2e9cbb667da5
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Nov 27 19:03:58 2023 -0800

    Made some improvements/corrections to the InSourceBuild CMake module.

M	build/cmake/modules/InSourceBuild.cmake

commit 9c73145d615316c7da2d1e19734aac24610d56e2
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Nov 27 18:20:11 2023 -0800

    Made a few improvements/corrections to the InSourceBuild CMake module.

M	build/cmake/modules/InSourceBuild.cmake

commit a798ba0ebadc103d5c3bb525bd2b7d0059c98be7
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Nov 27 17:43:39 2023 -0800

    Fixes #364.

    Made some changes to the InSourceBuild CMake module in an attempt
    to prevent CMake-challenged individuals from trashing the source
    tree when performing a build.

M	CMakeLists.txt
M	build/cmake/modules/InSourceBuild.cmake

commit 175731c70e14e952ba09f7dded1486d30555ba7e
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Fri Nov 17 06:42:59 2023 -0800

    Fixes #363.

    Fixed a potential integer overflow problem in the
    jas_get_total_mem_size
    function (for the Windows platform).

M	src/libjasper/base/jas_malloc.c

commit abf85caf71d705d4ee44c66d450a693ecccfc267
Merge: 5010de0 aa6d42a
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Nov 5 13:26:31 2023 -0800

    Merge pull request #362 from jubalh/cve

    Add reference of CVE-2021-3443 to NEWS file

commit 5010de0779d0a7de02426cfe63727bd9a84af7c3
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 21:39:06 2023 -0700

    Made a few improvements to the WebAssembly support.

M	CMakeLists.txt
M	build/build_wasi_jasper
M	src/libjasper/base/jas_malloc.c

commit e7cbee671893992e11a1fc603019bc8112cf7d15
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 20:22:33 2023 -0700

    Bumped the version number and updated the NEWS document.

M	CMakeLists.txt
M	NEWS.txt

commit da765f5178cb3b38754bacd27386c16d4007980d
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 16:19:03 2023 -0700

    Added a comment to a GitHub Actions workflow file.

M	.github/workflows/ci.yml

commit e6b1dae6b21491a9e468eefdc36fa3784650ac65
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 16:07:59 2023 -0700

    Disable the build with Ubuntu 20.04 and GCC in the CI workflow.

M	.github/workflows/ci.yml

commit a0ac8435bf2e8a013a0cd8e8e98e285cc1868187
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 15:50:14 2023 -0700

    Disable the build with Ubuntu 20.04 and GCC in the CI workflow.

M	.github/workflows/ci.yml

commit 8335265dbfa2e539600602c391535033e3a82245
Merge: 09233ab 304ffce
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 15:36:47 2023 -0700

    Merge preliminary support for WebAssembly.

commit 09233abec431253ba1a955f6641d707c88773d1d
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 15:19:58 2023 -0700

    Bumped the version number and updated the NEWS document.

M	CMakeLists.txt
M	NEWS.txt

commit 304ffce7498eb38ec782785e853a8ac4419f4184
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 15:03:01 2023 -0700

    Removed a comment from a GitHub Actions workflow file.

M	build/github/prebuild

commit a886dcd98f8bffb3c0bcd96b5fd26022e2d692b0
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 14:58:04 2023 -0700

    Made some further build changes to experiment with WebAssembly
    support.

M	.github/workflows/release.yml
M	build/build_wasi_jasper
M	build/github/prebuild

commit 7976385b6111f4a8ac7f26d28355769b30528556
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 14:42:30 2023 -0700

    Made some changes to the GitHub Actions release workflow.

M	.github/workflows/release.yml

commit 0a013da1e7f4cde51f7b4d9fa06e836a4b9c93b1
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 4 13:26:04 2023 -0700

    Added preliminary support for building and deploying JasPer for a
    WebAssembly target that supports WASI.

M	.github/workflows/release.yml
M	CMakeLists.txt
A	build/build_wasi_jasper
A	build/install_wasi_sdk
A	build/install_wasmtime
M	build/make_release
A	build/wasm_cc
M	src/libjasper/base/jas_stream.c
M	src/libjasper/include/jasper/jas_stream.h

commit aa6d42a871eab4d4ee52ef5b592bef902986a244
Author: Michael Vetter <jubalh@iodoru.org>
Date:	Mon Oct 30 18:51:50 2023 +0100

    Add reference of CVE-2021-3443 to NEWS file

M	NEWS.txt

commit 354722a9a42e502092c31941913f4552bb72eb63
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Apr 10 19:36:07 2023 -0700

    Moved some C++ related settings inside an if statement in the
    top-level
    CMakeLists.txt file just in case this might fix issue #356.

M	CMakeLists.txt

commit d1b8a3702319c0b6d992c2d0c2cb5744bb9dd8ac
Merge: f1ae9d7 f2d2e5d
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Mar 27 06:58:40 2023 -0700

    Merge pull request #355 from jpalus/parallel-docs

    doc/CMakeLists.txt: fix parallel build of api docs and pdf manual

commit f2d2e5d6f06bdd60d3be8277726e238659bc56b5
Author: Jan Palus <jpalus@fastmail.com>
Date:	Mon Mar 27 13:55:04 2023 +0200

    doc/CMakeLists.txt: fix prallel build of api docs and pdf manual

    according to cmake docs DEPENDS in add_custom_command with file being
    output of other custom command:

    > If any dependency is an OUTPUT of another custom command in the same
    > directory (CMakeLists.txt file), CMake automatically brings
    the other
    > custom command into the target in which this command is built.

    this means "manual_pdf" target will not wait for previous doxygen
    invocation but will trigger its own. in case of parallel build two
    doxygen invocations with same input parameters might overwrite each
    other's output resulting in broken files. it could be verified
    with just
    grepping cmake output:

    ```
    $ grep -r 'doxygen Doxyfile' builddir/doc
    builddir/doc/CMakeFiles/doc.dir/build.make:     cd
    /home/users/builder/rpm/BUILD/jasper-3.0.6/builddir/doc &&
    /usr/bin/doxygen Doxyfile
    builddir/doc/CMakeFiles/manual_pdf.dir/build.make:	    cd
    /home/users/builder/rpm/BUILD/jasper-3.0.6/builddir/doc &&
    /usr/bin/doxygen Doxyfile
    ```

    instead of putting dependency on "latex/index.tex" file, use "doc"
    target as dependency resulting in ordering "doc" before "manual_pdf"
    and
    single doxygen invocation.

M	doc/CMakeLists.txt

commit f1ae9d7c329281534ca00474ec01c2382a016020
Merge: 71bb750 6120ae4
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Tue Mar 21 20:02:06 2023 -0700

    Merge pull request #352 from kmilos/patch-1

    Handle relative vs absolute paths for .pc file variables

commit 71bb7509ddf8d85e1caa61e440405aeae0906da7
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Mar 20 11:41:20 2023 -0700

    Fixes #353.

    Fixed an integer overflow bug in the PNM decoder.
    Added some new utility functions for performing safe integer
    arithmetic.

M	NEWS.txt
A	data/test/bad/353.pnm
A	data/test/good/signed_pnm.pnm
M	src/libjasper/include/jasper/jas_math.h
M	src/libjasper/include/jasper/jas_types.h
M	src/libjasper/pnm/pnm_dec.c

commit 6120ae4d5bffb318c9d6e137190edff6ff0c4efa
Author: Miloš Komarčević <miloskomarcevic@aim.com>
Date:	Mon Jan 9 12:15:15 2023 +0100

    Handle relative vs absolute paths for .pc file variables

M	CMakeLists.txt
M	build/jasper.pc.in

commit 294db12f949f38eebedde6e0e1c8b9d4befcc5b2
Merge: d8ea0e0 f10e2c1
Author: Michael Vetter <jubalh@iodoru.org>
Date:	Fri Jan 6 17:33:42 2023 +0100

    Merge pull request #351 from theta682/patch-1

    Don't force debug suffix

commit f10e2c1338544eba61450774985e96133b1bf49d
Author: Timothy Lyanguzov <timothy.lyanguzov@sap.com>
Date:	Thu Jan 5 13:31:47 2023 +1300

    Don't force debug suffix

    The external build system can specify debug suffix if it is needed.

    Close https://github.com/jasper-software/jasper/issues/350

M	CMakeLists.txt

commit d8ea0e06435d8b99cf2072bdf7d2f42e61157955
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Jan 5 10:38:12 2023 -0800

    Made some changes to the prebuild script for MacOS.

M	build/github/prebuild-v2

commit 9d990d233383ed4b7498568192d98f55558ffffd
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Jan 5 09:59:38 2023 -0800

    Changed the version of the checkout action from 2 to 3 in the
    GitHub CI workflow.

M	.github/workflows/ci.yml
M	.github/workflows/deploy_manual.yml
M	.github/workflows/release.yml
M	.github/workflows/win_ci.yml

commit 62c394fa34b857e0d655bafc1485d956f6133306
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Jan 5 09:25:07 2023 -0800

    Made some changes to the prebuild script for MacOS.
    Added Ubuntu 20.04 and MacOS 12 to the test matrix for the
    GitHub CI workflow.

M	.github/workflows/ci.yml
M	build/github/prebuild-v2

commit 92168f7ef280fe894ff76f389ff33fdedac2116e
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Jan 5 09:01:14 2023 -0800

    Made some changes to the prebuild script for MacOS.

M	build/github/prebuild-v2

commit 348f3184b0eca6bf271efee7f798370869ef2a63
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Jan 5 08:48:45 2023 -0800

    Made some changes to the prebuild script for MacOS.

M	build/github/prebuild-v2

commit 74c72b57c70d1ef1ae17d4ea74c33a152e981de0
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Jan 5 08:09:44 2023 -0800

    Changed the GitHub CI workflow to explicitly specify the versions of
    Ubuntu and MacOS to be used (instead of using the versions named as
    "latest").

M	.github/workflows/ci.yml

commit 402d096b39f4f618ad9e6ff2b4fc1b5eb260a2e4
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Nov 5 10:06:53 2022 -0700

    Bumped the version number and updated the NEWS document.

M	CMakeLists.txt
M	NEWS.txt

commit ec4d0223f08f4555283d739abc6ba71e8e751039
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Fri Nov 4 23:57:25 2022 -0700

    Made a number of improvements to the test scripts.
    Added a hack to the build_all script for the case of
    building with Clang on Ubuntu.

M	build/build_all
M	test/bin/run_test_1
M	test/bin/run_test_2
M	test/bin/run_test_5
M	test/bin/run_test_imginfo

commit e54c63858308c5f7c0433ab099527cdecc41c0b4
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Fri Nov 4 22:31:38 2022 -0700

    Made a number of improvements to the test scripts.
    Fixed a typo in the top-level CMakeLists.txt file.

M	CMakeLists.txt
M	test/bin/jpdec
M	test/bin/jpenc
M	test/bin/run_codec_test
M	test/bin/run_conformance_tests
M	test/bin/run_mem_test
M	test/bin/run_test_1
M	test/bin/run_test_2
M	test/bin/run_test_5
M	test/bin/run_test_imginfo
M	test/bin/utilities

commit 37f90268a7c8e54759987dd511246517b97de7a2
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Nov 3 22:14:13 2022 -0700

    Made some experimental changes to a GitHub Actions workflow.

M	.github/workflows/ci.yml

commit d36e0377b1c50d7ff0852c1a2b1c4a2f5699267a
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Nov 3 22:01:47 2022 -0700

    Change the build script to print the value of the CXX
    environment variable.

M	build/build

commit 2468aac7685039c07ff7df9010c0399239861bbc
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Nov 3 21:54:51 2022 -0700

    Made some experimental changes to a GitHub Actions workflow.

M	.github/workflows/ci.yml

commit 4ce3ce84d76240b1ef2931387413c410953bd0aa
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Nov 3 18:45:23 2022 -0700

    Updated the NEWS document.

M	NEWS.txt

commit e97639fe47faed62703ba47c1071b91e3d76eb41
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Nov 3 18:13:53 2022 -0700

    Fixes #342, #343, #344.

    Some command-line options for the jasper, imginfo, imgcmp, and jiv
    programs (that are not deemed to be for internal use only) were not
    documented in the manual.  Descriptions for these options have
    now been
    added to the manual.

    The help information message printed by each of the jasper, imginfo,
    imgcmp, and jiv programs has been improved.  A mention of the URL
    for the
    online documentation is now included in all help messages.	A comment
    has also been added indicating that not all options are listed in the
    help message and that the manual should be checked for a complete list
    of options (excluding, of course, the ones that are deemed to be for
    internal use only and are deliberately undocumented).

M	doc/src/apps_imgcmp.dox
M	doc/src/apps_jiv.dox
M	src/app/imgcmp.c
M	src/app/imginfo.c
M	src/app/jasper.c
M	src/app/jiv.c
M	src/libjasper/include/jasper/jas_version.h

commit 34faad593c872e6a7a88f25f86337d26280c3df1
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Thu Nov 3 13:01:03 2022 -0700

    Fixes #345.

    Fixed a bug in the PNM decoder caused by integer overflow.
    Added some functions for performing safe 32-bit unsigned integer
    arithmetic.
    Added the JAS_ATTRIBUTE_CONST and JAS_ATTRIBUTE_PURE to some math
    functions.

A	data/test/bad/345-0.pnm
A	data/test/bad/345-1.pnm
M	src/libjasper/include/jasper/jas_math.h
M	src/libjasper/pnm/pnm_dec.c

commit 6663250088ece915836dcaece4a18131d046138c
Merge: 40cf600 b9631a1
Author: Michael Vetter <jubalh@iodoru.org>
Date:	Mon Sep 19 18:02:48 2022 +0200

    Merge pull request #341 from Biswa96/pkgconfig-requires-private

    pkgconfig: Add Requires.private field for static linking

commit b9631a160de3237d851ccbd53d66eb601968ff89
Author: Biswapriyo Nath <nathbappai@gmail.com>
Date:	Mon Sep 19 20:27:46 2022 +0530

    pkgconfig: Add Requires.private field for static linking

    Requires.private field is required to link dependent libraries
    while static linking. For example, here libjpeg and libheif.
    `pkgconf -libs -static` command will show the dependent libraries.
    This helps to manage the dependent libraries automatically in build
    system without adding them explicitly while static linking.
    More information about this feature can be found here
    https://people.freedesktop.org/~dbn/pkg-config-guide.html

M	CMakeLists.txt
M	build/jasper.pc.in

commit 40cf600848cb07b604ba81c9b31b0f1d4e395bac
Merge: 2b784e4 8442158
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Mon Sep 19 07:37:24 2022 -0700

    Merge pull request #339 from jasper-software/rel307

    Update NEWS file in preparation of next release

commit 8442158424fdfa5f7676e41c81c8ed66986f8d56
Author: Michael Vetter <jubalh@iodoru.org>
Date:	Fri Sep 16 14:04:17 2022 +0200

    Update NEWS file in preparation for next release

M	NEWS.txt

commit 2b784e4767784500883ae5f1ab342986bcee4ca0
Merge: 0c2a927 b04f8a2
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sun Sep 18 22:25:58 2022 -0700

    Merge pull request #336 from Biswa96/pkgconfig-cflags-private

    pkgconfig: Add Cflags.private field for static linking

commit b04f8a2daa2f4cf3715dc698e7e4d5942866d68b
Author: Biswapriyo Nath <nathbappai@gmail.com>
Date:	Wed Aug 24 21:22:19 2022 +0530

    pkgconfig: Add Cflags.private field for static linking

    This defines LIBJASPER_STATIC_DEFINE when static linking is expected.
    The Cflags.private field depends on pkgconf rather than pkg-config.
    Without this change, linker finds exported APIs with dllimport and
    it produces the error:

    ld.exe: test_1.c:(.text+0x2b): undefined reference to
    `__imp_jas_get_total_mem_size'
    ld.exe: test_1.c:(.text+0x4b): undefined reference to
    `__imp_jas_optarg'
    and more.

    Result of this change:

    * Before:
    $ pkgconf -cflags -static jasper
    -IF:/msys64/ucrt64/include/jasper -IF:/msys64/ucrt64/include

    * After:
    $ pkgconf -cflags -static jasper
    -IF:/msys64/ucrt64/include/jasper -IF:/msys64/ucrt64/include
    -DLIBJASPER_STATIC_DEFINE

M	build/jasper.pc.in

commit 0c2a927c530d18a706ace73536f347354ca3d957
Merge: 75c5cec 411c81a
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Wed Aug 24 07:37:48 2022 -0700

    Merge pull request #335 from Biswa96/pkgconfig-path-relocate

    pkgconfig: Add missing prefix field

commit 411c81a90d0f91e80983f85041015e220f180f41
Author: Biswapriyo Nath <nathbappai@gmail.com>
Date:	Wed Aug 24 12:11:59 2022 +0530

    pkgconfig: Add missing prefix field

    This fixes path relocation in mingw environment. For example,

    * Before:
    $ pkgconf -cflags jasper
    -I/ucrt64/include/jasper -IF:/msys64/ucrt64/include

    * After:
    $ pkgconf -cflags jasper
    -IF:/msys64/ucrt64/include/jasper -IF:/msys64/ucrt64/include

M	build/jasper.pc.in

commit 75c5cecb20a67101eddc189f373efefcd431b71c
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Jul 30 13:29:10 2022 -0700

    Modified the sysinfo script to better detect various OSes.

M	build/sysinfo

commit 8ff64591c153ab41dde35317fe9a63910a9dce72
Author: Michael Adams <mdadams@ece.uvic.ca>
Date:	Sat Jul 30 11:56:10 2022 -0700

    Added some extra information logging in the build and build_all
    scripts.
    Changed the format of a log message in the JPC codec.
    Added -I and -X options to the run_codec_test script in order to allow
    explicit inclusion and exclusion of tests.
    Disabled the sgn_1 test in the run_test_3 script on Windows.
    Added a new script called sysinfo for obtaining platform-specific
    information.

M	build/build
M	build/build_all
A	build/sysinfo
M	src/libjasper/jpc/jpc_enc.c
M	test/bin/run_codec_test
M	test/bin/run_test_3
